#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 foldl
version:              1.4.18
visibility:           public
id:                   foldl-1.4.18-8KIkXjzPwztBV9foYyrdMg
key:                  foldl-1.4.18-8KIkXjzPwztBV9foYyrdMg
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  cb11fcb6b03327b41bb3b668ba9cdc80
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.4.8/site-local/foldl-1.4.18
library-dirs:         /usr/lib/ghc-9.4.8/site-local/foldl-1.4.18
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/foldl-1.4.18
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.18-8KIkXjzPwztBV9foYyrdMg
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    comonad-5.0.9-175oGuZJmdk8N2H2xseUp7 containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    hashable-1.4.4.0-Jc2uKL4S7Fl9QLNJZYpfiY
    primitive-0.8.0.0-1110YmBHzhAERV5HY7EG3e
    profunctors-5.6.2-1aS3zoy3Cez5Pz6ZD257d3
    random-1.2.1.2-KXwyGxW8gFCDB692Rea4Jy
    semigroupoids-6.0.1-8qLN72ijylEEDKBod6y6Xy text-2.0.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-HNPxulgNQi0FiQ3NUpCOne
    vector-0.13.2.0-KDCTRjRQ0urK2B6TNAGAn8

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

